Distributed under the terms of *GNU GPL-3.0-or-later*

# Folder instructions

This directory contains the material to build the project documentation with *doxygen*.

## Instructions

The project documentation is managed by *doxygen*, a documentation generator that is able to extract documents directly from properly formatted comment sections of the source code. To build a local instance of project documents, make sure that you have *doxygen* installed, then `cd` into the document source folder (the folder containing the `conf.dox` file, specifically `np_tmcode/doc/src`) and finally run:

> doxygen conf.dox

Alternatively, you can use `make` from the project `src` folder (named `np_tmcode/src`) and just issue:

> make docs

*doxygen* will automatically build the HTML structure to cover all the documented source code and it will additionally provide the fundamental structure to prepare a LaTeX formatted version of the documents. These two outputs will be placed, respectively, under the folders `np_tmcode/doc/build/html` and `np_tmcode/doc/build/latex`.